1. API Endpoints
Artguru Open API Platform
  • Getting Started
    • Introduction
    • Authentication
    • Pricing
  • API Endpoints
    • Check Your Credits
      GET
    • Get Task Status
      GET
    • Upload Image
      POST
    • Photo Enhance
      POST
    • Image to Image
      POST
  1. API Endpoints

Get Task Status

Developing
GET
/api/v1/tasks/IMAGE_TO_IMAGE/{{current_task_id}}
The getTask API endpoint is used to retrieve detailed information about a single task based on the taskId.

Request

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://api.artguru.ai/api/v1/tasks/IMAGE_TO_IMAGE/{{current_task_id}}' \
--header 'x-api-key;'
Response Response Example
{
    "code": 0,
    "message": "success",
    "data": {
        "generateImage": "https://img.artguru.ai/image/aigc/web%26p%262b56c03baf2a79d683eefe3edea15fb2.webp",
        "status": "SUCCESS",
        "creation": 1761887276000
    }
}
Modified at 2026-03-16 10:30:49
Previous
Check Your Credits
Next
Upload Image
Built with